UpdateRemoteFile
curl --request PATCH \
--url https://api.siftstack.com/api/v1/remote-files \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"remoteFile": {
"remoteFileId": "<string>",
"organizationId": "<string>",
"entityId": "<string>",
"entityType": "ENTITY_TYPE_UNSPECIFIED",
"fileName": "<string>",
"fileMimeType": "<string>",
"fileContentEncoding": "<string>",
"storageKey": "<string>",
"fileSize": "<string>",
"createdByUserId": "<string>",
"modifiedByUserId": "<string>",
"createdDate": "2023-11-07T05:31:56Z",
"modifiedDate": "2023-11-07T05:31:56Z",
"remoteFileType": "REMOTE_FILE_TYPE_UNSPECIFIED",
"description": "<string>",
"videoMetadata": {
"height": 123,
"width": 123,
"durationSeconds": 123,
"timestamp": "2023-11-07T05:31:56Z"
},
"imageMetadata": {
"height": 123,
"width": 123
},
"audioMetadata": {
"durationSeconds": 123,
"timestamp": "2023-11-07T05:31:56Z"
},
"metadataValues": [
{
"key": {
"name": "<string>",
"type": "METADATA_KEY_TYPE_UNSPECIFIED",
"archivedDate": "2023-11-07T05:31:56Z",
"isArchived": true
},
"stringValue": "<string>",
"numberValue": 123,
"booleanValue": true,
"archivedDate": "2023-11-07T05:31:56Z",
"isArchived": true
}
]
},
"updateMask": "<string>"
}
'import requests
url = "https://api.siftstack.com/api/v1/remote-files"
payload = {
"remoteFile": {
"remoteFileId": "<string>",
"organizationId": "<string>",
"entityId": "<string>",
"entityType": "ENTITY_TYPE_UNSPECIFIED",
"fileName": "<string>",
"fileMimeType": "<string>",
"fileContentEncoding": "<string>",
"storageKey": "<string>",
"fileSize": "<string>",
"createdByUserId": "<string>",
"modifiedByUserId": "<string>",
"createdDate": "2023-11-07T05:31:56Z",
"modifiedDate": "2023-11-07T05:31:56Z",
"remoteFileType": "REMOTE_FILE_TYPE_UNSPECIFIED",
"description": "<string>",
"videoMetadata": {
"height": 123,
"width": 123,
"durationSeconds": 123,
"timestamp": "2023-11-07T05:31:56Z"
},
"imageMetadata": {
"height": 123,
"width": 123
},
"audioMetadata": {
"durationSeconds": 123,
"timestamp": "2023-11-07T05:31:56Z"
},
"metadataValues": [
{
"key": {
"name": "<string>",
"type": "METADATA_KEY_TYPE_UNSPECIFIED",
"archivedDate": "2023-11-07T05:31:56Z",
"isArchived": True
},
"stringValue": "<string>",
"numberValue": 123,
"booleanValue": True,
"archivedDate": "2023-11-07T05:31:56Z",
"isArchived": True
}
]
},
"updateMask": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.siftstack.com/api/v1/remote-files"
payload := strings.NewReader("{\n \"remoteFile\": {\n \"remoteFileId\": \"<string>\",\n \"organizationId\": \"<string>\",\n \"entityId\": \"<string>\",\n \"entityType\": \"ENTITY_TYPE_UNSPECIFIED\",\n \"fileName\": \"<string>\",\n \"fileMimeType\": \"<string>\",\n \"fileContentEncoding\": \"<string>\",\n \"storageKey\": \"<string>\",\n \"fileSize\": \"<string>\",\n \"createdByUserId\": \"<string>\",\n \"modifiedByUserId\": \"<string>\",\n \"createdDate\": \"2023-11-07T05:31:56Z\",\n \"modifiedDate\": \"2023-11-07T05:31:56Z\",\n \"remoteFileType\": \"REMOTE_FILE_TYPE_UNSPECIFIED\",\n \"description\": \"<string>\",\n \"videoMetadata\": {\n \"height\": 123,\n \"width\": 123,\n \"durationSeconds\": 123,\n \"timestamp\": \"2023-11-07T05:31:56Z\"\n },\n \"imageMetadata\": {\n \"height\": 123,\n \"width\": 123\n },\n \"audioMetadata\": {\n \"durationSeconds\": 123,\n \"timestamp\": \"2023-11-07T05:31:56Z\"\n },\n \"metadataValues\": [\n {\n \"key\": {\n \"name\": \"<string>\",\n \"type\": \"METADATA_KEY_TYPE_UNSPECIFIED\",\n \"archivedDate\": \"2023-11-07T05:31:56Z\",\n \"isArchived\": true\n },\n \"stringValue\": \"<string>\",\n \"numberValue\": 123,\n \"booleanValue\": true,\n \"archivedDate\": \"2023-11-07T05:31:56Z\",\n \"isArchived\": true\n }\n ]\n },\n \"updateMask\": \"<string>\"\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"remoteFile": {
"remoteFileId": "<string>",
"organizationId": "<string>",
"entityId": "<string>",
"entityType": "ENTITY_TYPE_UNSPECIFIED",
"fileName": "<string>",
"fileMimeType": "<string>",
"fileContentEncoding": "<string>",
"storageKey": "<string>",
"fileSize": "<string>",
"createdByUserId": "<string>",
"modifiedByUserId": "<string>",
"createdDate": "2023-11-07T05:31:56Z",
"modifiedDate": "2023-11-07T05:31:56Z",
"remoteFileType": "REMOTE_FILE_TYPE_UNSPECIFIED",
"description": "<string>",
"videoMetadata": {
"height": 123,
"width": 123,
"durationSeconds": 123,
"timestamp": "2023-11-07T05:31:56Z"
},
"imageMetadata": {
"height": 123,
"width": 123
},
"audioMetadata": {
"durationSeconds": 123,
"timestamp": "2023-11-07T05:31:56Z"
},
"metadataValues": [
{
"key": {
"name": "<string>",
"type": "METADATA_KEY_TYPE_UNSPECIFIED",
"archivedDate": "2023-11-07T05:31:56Z",
"isArchived": true
},
"stringValue": "<string>",
"numberValue": 123,
"booleanValue": true,
"relationValue": {
"resourceType": "<string>",
"resourceId": "<string>"
},
"archivedDate": "2023-11-07T05:31:56Z",
"isArchived": true
}
]
}
}{
"code": 123,
"message": "<string>",
"details": [
{
"@type": "<string>"
}
]
}RemoteFileService
UpdateRemoteFile
Updates an existing remote file using using the list of fields specified in update_mask.
PATCH
/
api
/
v1
/
remote-files
UpdateRemoteFile
curl --request PATCH \
--url https://api.siftstack.com/api/v1/remote-files \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"remoteFile": {
"remoteFileId": "<string>",
"organizationId": "<string>",
"entityId": "<string>",
"entityType": "ENTITY_TYPE_UNSPECIFIED",
"fileName": "<string>",
"fileMimeType": "<string>",
"fileContentEncoding": "<string>",
"storageKey": "<string>",
"fileSize": "<string>",
"createdByUserId": "<string>",
"modifiedByUserId": "<string>",
"createdDate": "2023-11-07T05:31:56Z",
"modifiedDate": "2023-11-07T05:31:56Z",
"remoteFileType": "REMOTE_FILE_TYPE_UNSPECIFIED",
"description": "<string>",
"videoMetadata": {
"height": 123,
"width": 123,
"durationSeconds": 123,
"timestamp": "2023-11-07T05:31:56Z"
},
"imageMetadata": {
"height": 123,
"width": 123
},
"audioMetadata": {
"durationSeconds": 123,
"timestamp": "2023-11-07T05:31:56Z"
},
"metadataValues": [
{
"key": {
"name": "<string>",
"type": "METADATA_KEY_TYPE_UNSPECIFIED",
"archivedDate": "2023-11-07T05:31:56Z",
"isArchived": true
},
"stringValue": "<string>",
"numberValue": 123,
"booleanValue": true,
"archivedDate": "2023-11-07T05:31:56Z",
"isArchived": true
}
]
},
"updateMask": "<string>"
}
'import requests
url = "https://api.siftstack.com/api/v1/remote-files"
payload = {
"remoteFile": {
"remoteFileId": "<string>",
"organizationId": "<string>",
"entityId": "<string>",
"entityType": "ENTITY_TYPE_UNSPECIFIED",
"fileName": "<string>",
"fileMimeType": "<string>",
"fileContentEncoding": "<string>",
"storageKey": "<string>",
"fileSize": "<string>",
"createdByUserId": "<string>",
"modifiedByUserId": "<string>",
"createdDate": "2023-11-07T05:31:56Z",
"modifiedDate": "2023-11-07T05:31:56Z",
"remoteFileType": "REMOTE_FILE_TYPE_UNSPECIFIED",
"description": "<string>",
"videoMetadata": {
"height": 123,
"width": 123,
"durationSeconds": 123,
"timestamp": "2023-11-07T05:31:56Z"
},
"imageMetadata": {
"height": 123,
"width": 123
},
"audioMetadata": {
"durationSeconds": 123,
"timestamp": "2023-11-07T05:31:56Z"
},
"metadataValues": [
{
"key": {
"name": "<string>",
"type": "METADATA_KEY_TYPE_UNSPECIFIED",
"archivedDate": "2023-11-07T05:31:56Z",
"isArchived": True
},
"stringValue": "<string>",
"numberValue": 123,
"booleanValue": True,
"archivedDate": "2023-11-07T05:31:56Z",
"isArchived": True
}
]
},
"updateMask": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.siftstack.com/api/v1/remote-files"
payload := strings.NewReader("{\n \"remoteFile\": {\n \"remoteFileId\": \"<string>\",\n \"organizationId\": \"<string>\",\n \"entityId\": \"<string>\",\n \"entityType\": \"ENTITY_TYPE_UNSPECIFIED\",\n \"fileName\": \"<string>\",\n \"fileMimeType\": \"<string>\",\n \"fileContentEncoding\": \"<string>\",\n \"storageKey\": \"<string>\",\n \"fileSize\": \"<string>\",\n \"createdByUserId\": \"<string>\",\n \"modifiedByUserId\": \"<string>\",\n \"createdDate\": \"2023-11-07T05:31:56Z\",\n \"modifiedDate\": \"2023-11-07T05:31:56Z\",\n \"remoteFileType\": \"REMOTE_FILE_TYPE_UNSPECIFIED\",\n \"description\": \"<string>\",\n \"videoMetadata\": {\n \"height\": 123,\n \"width\": 123,\n \"durationSeconds\": 123,\n \"timestamp\": \"2023-11-07T05:31:56Z\"\n },\n \"imageMetadata\": {\n \"height\": 123,\n \"width\": 123\n },\n \"audioMetadata\": {\n \"durationSeconds\": 123,\n \"timestamp\": \"2023-11-07T05:31:56Z\"\n },\n \"metadataValues\": [\n {\n \"key\": {\n \"name\": \"<string>\",\n \"type\": \"METADATA_KEY_TYPE_UNSPECIFIED\",\n \"archivedDate\": \"2023-11-07T05:31:56Z\",\n \"isArchived\": true\n },\n \"stringValue\": \"<string>\",\n \"numberValue\": 123,\n \"booleanValue\": true,\n \"archivedDate\": \"2023-11-07T05:31:56Z\",\n \"isArchived\": true\n }\n ]\n },\n \"updateMask\": \"<string>\"\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"remoteFile": {
"remoteFileId": "<string>",
"organizationId": "<string>",
"entityId": "<string>",
"entityType": "ENTITY_TYPE_UNSPECIFIED",
"fileName": "<string>",
"fileMimeType": "<string>",
"fileContentEncoding": "<string>",
"storageKey": "<string>",
"fileSize": "<string>",
"createdByUserId": "<string>",
"modifiedByUserId": "<string>",
"createdDate": "2023-11-07T05:31:56Z",
"modifiedDate": "2023-11-07T05:31:56Z",
"remoteFileType": "REMOTE_FILE_TYPE_UNSPECIFIED",
"description": "<string>",
"videoMetadata": {
"height": 123,
"width": 123,
"durationSeconds": 123,
"timestamp": "2023-11-07T05:31:56Z"
},
"imageMetadata": {
"height": 123,
"width": 123
},
"audioMetadata": {
"durationSeconds": 123,
"timestamp": "2023-11-07T05:31:56Z"
},
"metadataValues": [
{
"key": {
"name": "<string>",
"type": "METADATA_KEY_TYPE_UNSPECIFIED",
"archivedDate": "2023-11-07T05:31:56Z",
"isArchived": true
},
"stringValue": "<string>",
"numberValue": 123,
"booleanValue": true,
"relationValue": {
"resourceType": "<string>",
"resourceId": "<string>"
},
"archivedDate": "2023-11-07T05:31:56Z",
"isArchived": true
}
]
}
}{
"code": 123,
"message": "<string>",
"details": [
{
"@type": "<string>"
}
]
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
The request for a call to RemoteFileService_UpdateRemoteFile to update a remote file.
Response
A successful response.
The response of a call to RemoteFileService_UpdateRemoteFile.
Show child attributes
Show child attributes
Was this page helpful?
⌘I